struts-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Giovanni Azua <g...@imc.nl>
Subject about GPL/Apache license compatibility ...
Date Thu, 15 May 2008 08:36:43 GMT
hi,

I was researching a bit alternatives to dojo e.g. YUI or separate 
widgets like a tooltip developed and distributed under GPL license and 
found some comments from Struts contributors mentioning that because of 
those widgets being GPL they could not be considered ...

I am absolutely not an expert in the subject but having a project under 
GPL v3 (and researched and read a bit on it) one of the main advantages 
of v3 was the major revision that lead to compatibility with the Apache 
v2 license projects see 
<http://gplv3.fsf.org/wiki/index.php/Compatible_licenses#GPLv3-compatible_licenses>

My question is then, would this mean that if e.g. a widget is 
distributed under GPL v3 it could be used and distributed with Struts 2?

Maybe it would be worthwhile to clarify this, as it could mean wider 
freedom of choice integrating existing GPL v3 projects with Struts ...

Best regards,
Giovanni



---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@struts.apache.org
For additional commands, e-mail: dev-help@struts.apache.org


Mime
View raw message